Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.value
Class FloatValue

    java.lang.Object
      org.jboss.portal.common.value.Value
          org.jboss.portal.common.value.FloatValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class FloatValue

extends Value

Version:
  $Revision: 5451 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`FloatValue()`
`FloatValue(float _value)`
`FloatValue(java.lang.Float integer)`
`FloatValue(float[] _values)`
`FloatValue(java.lang.Float[] values)`
`FloatValue(java.lang.String value)`
`FloatValue(java.lang.String[] values)`

Method Summary
`protected java.lang.Object[]` | `getObjectArray()` Return the values as an array of converted object.
`boolean` | `isInstanceOf(java.lang.Class clazz)`

Methods inherited from class org.jboss.portal.common.value.Value
`asObject, asObjectArray, asObjectList, asString, asStringArray, asStringList, clone, equals, hashCode, isEmpty, isMultiValued, isNull, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FloatValue

    public FloatValue()

### FloatValue

    public FloatValue(java.lang.Float integer)

### FloatValue

    public FloatValue(float _value)

### FloatValue

    public FloatValue(java.lang.String value)

### FloatValue

    public FloatValue(java.lang.Float[] values)

### FloatValue

    public FloatValue(float[] _values)

### FloatValue

    public FloatValue(java.lang.String[] values)
               throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### isInstanceOf

    public boolean isInstanceOf(java.lang.Class clazz)

  Specified by:
    `isInstanceOf` in class `Value`

### getObjectArray

    protected java.lang.Object[] getObjectArray()

  Description copied from class: `Value`
  Return the values as an array of converted object. It must always return a non null array.

  Specified by:
    `getObjectArray` in class `Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD